package be.iminds.ilabt.jfed.experimenter_gui.controller.controller.action;

import be.iminds.ilabt.jfed.experimenter_gui.controller.model.ControllerModel;
import be.iminds.ilabt.jfed.experimenter_gui.controller.util.TimeCoordinateTranslator;
import be.iminds.ilabt.jfed.experimenter_gui.controller.view.IControllerComponent;
import be.iminds.ilabt.jfed.experimenter_gui.controller.view.UpdateEvent;

/**
 *
 * @author Cedric
 */
public class ZoomOutAction  implements IAction{

    @Override
    public boolean execute(ControllerModel model, IControllerComponent view) {
        TimeCoordinateTranslator tct = TimeCoordinateTranslator.getInstance();
        tct.zoomOut();
        view.update(UpdateEvent.UPDATE_ZOOM, null);
        return true;
    }

    @Override
    public boolean undo(ControllerModel model, IControllerComponent view) {
        TimeCoordinateTranslator tct = TimeCoordinateTranslator.getInstance();
        tct.zoomIn();
        view.update(UpdateEvent.UPDATE_ZOOM, null);
        return true;
    }
    
}