package be.iminds.ilabt.jfed.experimenter_gui.slice.errors;

import be.iminds.ilabt.jfed.highlevel.controller.TaskExecution;
import be.iminds.ilabt.jfed.lowlevel.api_wrapper.ErrorDetails;
import be.iminds.ilabt.jfed.util.GeniUrn;

/**
 * User: twalcari
 * Date: 10/15/2014
 * Time: 09:09
 */
public class ApiCallErrorDetails extends ErrorDetails {
    private final TaskExecution taskExecution;

    public ApiCallErrorDetails(String error, GeniUrn sliverUrn, GeniUrn componentUrn, TaskExecution taskExecution) {
        super(error, sliverUrn, componentUrn);
        this.taskExecution = taskExecution;
    }

    public ApiCallErrorDetails(String error, GeniUrn sliverUrn, TaskExecution taskExecution) {
        super(error, sliverUrn);
        this.taskExecution = taskExecution;
    }

    public ApiCallErrorDetails(String error, String sliverUrn, String componentUrn, TaskExecution taskExecution) {
        super(error, sliverUrn, componentUrn);
        this.taskExecution = taskExecution;
    }

    public ApiCallErrorDetails(String error, String sliverUrn, TaskExecution taskExecution) {
        super(error, sliverUrn);
        this.taskExecution = taskExecution;
    }

    public ApiCallErrorDetails(String error, TaskExecution taskExecution) {
        super(error);
        this.taskExecution = taskExecution;
    }

    public TaskExecution getTaskExecution() {
        return taskExecution;
    }
}
