package be.iminds.ilabt.jfed.lowlevel.connection;

import be.iminds.ilabt.jfed.lowlevel.JFedException;
import be.iminds.ilabt.jfed.util.JFedTrustStore;
import org.apache.http.impl.client.DefaultHttpClient;

/**
 * SfaConnection: an XmlRpc connection (typically over https with or without user authentication or over http without any authentication)
 */
public abstract class HttpConnection extends JFedConnection {
    public HttpConnection(String serverUrl, JFedTrustStore jFedTrustStore, ProxyInfo proxyInfo, DebugInfo debugInfo) throws JFedException {
        super(serverUrl, jFedTrustStore, proxyInfo, debugInfo);
    }

    public abstract DefaultHttpClient getHttpClient();
}
