package be.iminds.ilabt.jfed.rspec.rspec_source;

import be.iminds.ilabt.jfed.rspec.model.ModelRspec;
import be.iminds.ilabt.jfed.rspec.model.ModelRspecType;
import be.iminds.ilabt.jfed.rspec.model.StringRspec;
import org.slf4j.LoggerFactory;

/**
 * RequestRspecSource
 */
public class RequestRspecSource extends RspecSource {
    private static final org.slf4j.Logger LOG = LoggerFactory.getLogger(RequestRspecSource.class);

    public RequestRspecSource(StringRspec stringRspec) {
        super(stringRspec);
    }
    public RequestRspecSource(StringRspec stringRspec, ModelRspecType modelRspecType) {
        super(stringRspec, modelRspecType);
    }

    public RequestRspecSource(ModelRspec modelRspec) {
        super(modelRspec);
    }

    /** Determines automatically to use raw XML, or ModelRspec */
    public RequestRspecSource(String xmlRspecString, ModelRspecType modelRspecType) {
        super(xmlRspecString, modelRspecType);
    }


}
